[ Avaa Bypassed ]




Upload:

Command:

www-data@18.188.211.44: ~ $
#!/bin/sh
#---------------------------------------------
#   xdg-settings
#
#   Utility script to get various settings from the desktop environment.
#
#   Refer to the usage() function below for usage.
#
#   Copyright 2009, Google Inc.
#
#   LICENSE:
#
#   Permission is hereby granted, free of charge, to any person obtaining a
#   copy of this software and associated documentation files (the "Software"),
#   to deal in the Software without restriction, including without limitation
#   the rights to use, copy, modify, merge, publish, distribute, sublicense,
#   and/or sell copies of the Software, and to permit persons to whom the
#   Software is furnished to do so, subject to the following conditions:
#
#   The above copyright notice and this permission notice shall be included
#   in all copies or substantial portions of the Software.
#
#   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
#   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
#   THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
#   OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
#   ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
#   OTHER DEALINGS IN THE SOFTWARE.
#
#---------------------------------------------

manualpage()
{
cat << _MANUALPAGE
Name

xdg-settings - get various settings from the desktop environment

Synopsis

xdg-settings { get | check | set } {property} [subproperty] [value]

xdg-settings { --help | --list | --manual | --version }

Description

xdg-settings gets various settings from the desktop environment. For instance,
desktop environments often provide proxy configuration and default web browser
settings. Using xdg-settings these parameters can be extracted for use by
applications that do not use the desktop environment's libraries (which would
use the settings natively).

xdg-settings is for use inside a desktop session only. It is not recommended to
use xdg-settings as root.

Options

--help
    Show command synopsis.
--list
    List all properties xdg-settings knows about.
--manual
    Show this manual page.
--version
    Show the xdg-utils version information.

Properties

When using xdg-settings to get, check or set a desktop setting, properties and
possibly sub-properties are used to specify the setting to be changed.

Some properties (such as default-web-browser) fully describe the setting to be
changed. Other properties (such as default-url-scheme-handler) require more
information (in this case the actual scheme to set the default handler for)
which must be provided in a sub-property.

Exit Codes

An exit code of 0 indicates success while a non-zero exit code indicates
failure. The following failure codes can be returned:

1
    Error in command line syntax.
2
    One of the files passed on the command line did not exist.
3
    A required tool could not be found.
4
    The action failed.

See Also

xdg-mime(1), xdg-open(1), MIME applications associations specification

Examples

Get the desktop file name of the current default web browser

        xdg-settings get default-web-browser


Check whether the default web browser is firefox.desktop, which can be false
even if "get default-web-browser" says that is the current value (if only some
of the underlying settings actually reflect that value)

        xdg-settings check default-web-browser firefox.desktop


Set the default web browser to google-chrome.desktop

        xdg-settings set default-web-browser google-chrome.desktop


Set the default mailto URL scheme handler to be evolution.desktop

        xdg-settings set default-url-scheme-handler mailto evolution.desktop


_MANUALPAGE
}

usage()
{
cat << _USAGE
xdg-settings - get various settings from the desktop environment

Synopsis

xdg-settings { get | check | set } {property} [subproperty] [value]

xdg-settings { --help | --list | --manual | --version }

_USAGE
}

#@xdg-utils-common@

#----------------------------------------------------------------------------
#   Common utility functions included in all XDG wrapper scripts
#----------------------------------------------------------------------------

DEBUG()
{
  [ -z "${XDG_UTILS_DEBUG_LEVEL}" ] && return 0;
  [ ${XDG_UTILS_DEBUG_LEVEL} -lt $1 ] && return 0;
  shift
  echo "$@" >&2
}

# This handles backslashes but not quote marks.
first_word()
{
    read first rest
    echo "$first"
}

#-------------------------------------------------------------
# map a binary to a .desktop file
binary_to_desktop_file()
{
    search="${XDG_DATA_HOME:-$HOME/.local/share}:${XDG_DATA_DIRS:-/usr/local/share:/usr/share}"
    binary="`which "$1"`"
    binary="`readlink -f "$binary"`"
    base="`basename "$binary"`"
    IFS=:
    for dir in $search; do
        unset IFS
        [ "$dir" ] || continue
        [ -d "$dir/applications" ] || [ -d "$dir/applnk" ] || continue
        for file in "$dir"/applications/*.desktop "$dir"/applications/*/*.desktop "$dir"/applnk/*.desktop "$dir"/applnk/*/*.desktop; do
            [ -r "$file" ] || continue
            # Check to make sure it's worth the processing.
            grep -q "^Exec.*$base" "$file" || continue
            # Make sure it's a visible desktop file (e.g. not "preferred-web-browser.desktop").
            grep -Eq "^(NoDisplay|Hidden)=true" "$file" && continue
            command="`grep -E "^Exec(\[[^]=]*])?=" "$file" | cut -d= -f 2- | first_word`"
            command="`which "$command"`"
            if [ x"`readlink -f "$command"`" = x"$binary" ]; then
                # Fix any double slashes that got added path composition
                echo "$file" | sed -e 's,//*,/,g'
                return
            fi
        done
    done
}

#-------------------------------------------------------------
# map a .desktop file to a binary
desktop_file_to_binary()
{
    search="${XDG_DATA_HOME:-$HOME/.local/share}:${XDG_DATA_DIRS:-/usr/local/share:/usr/share}"
    desktop="`basename "$1"`"
    IFS=:
    for dir in $search; do
        unset IFS
        [ "$dir" ] && [ -d "$dir/applications" ] || [ -d "$dir/applnk" ] || continue
        # Check if desktop file contains -
        if [ "${desktop#*-}" != "$desktop" ]; then
            vendor=${desktop%-*}
            app=${desktop#*-}
            if [ -r $dir/applications/$vendor/$app ]; then
                file_path=$dir/applications/$vendor/$app
            elif [ -r $dir/applnk/$vendor/$app ]; then
                file_path=$dir/applnk/$vendor/$app
            fi
        fi
        if test -z "$file_path" ; then
            for indir in "$dir"/applications/ "$dir"/applications/*/ "$dir"/applnk/ "$dir"/applnk/*/; do
                file="$indir/$desktop"
                if [ -r "$file" ]; then
                    file_path=$file
                    break
                fi
            done
        fi
        if [ -r "$file_path" ]; then
            # Remove any arguments (%F, %f, %U, %u, etc.).
            command="`grep -E "^Exec(\[[^]=]*])?=" "$file_path" | cut -d= -f 2- | first_word`"
            command="`which "$command"`"
            readlink -f "$command"
            return
        fi
    done
}

#-------------------------------------------------------------
# Exit script on successfully completing the desired operation

exit_success()
{
    if [ $# -gt 0 ]; then
        echo "$@"
        echo
    fi

    exit 0
}


#-----------------------------------------
# Exit script on malformed arguments, not enough arguments
# or missing required option.
# prints usage information

exit_failure_syntax()
{
    if [ $# -gt 0 ]; then
        echo "xdg-settings: $@" >&2
        echo "Try 'xdg-settings --help' for more information." >&2
    else
        usage
        echo "Use 'man xdg-settings' or 'xdg-settings --manual' for additional info."
    fi

    exit 1
}

#-------------------------------------------------------------
# Exit script on missing file specified on command line

exit_failure_file_missing()
{
    if [ $# -gt 0 ]; then
        echo "xdg-settings: $@" >&2
    fi

    exit 2
}

#-------------------------------------------------------------
# Exit script on failure to locate necessary tool applications

exit_failure_operation_impossible()
{
    if [ $# -gt 0 ]; then
        echo "xdg-settings: $@" >&2
    fi

    exit 3
}

#-------------------------------------------------------------
# Exit script on failure returned by a tool application

exit_failure_operation_failed()
{
    if [ $# -gt 0 ]; then
        echo "xdg-settings: $@" >&2
    fi

    exit 4
}

#------------------------------------------------------------
# Exit script on insufficient permission to read a specified file

exit_failure_file_permission_read()
{
    if [ $# -gt 0 ]; then
        echo "xdg-settings: $@" >&2
    fi

    exit 5
}

#------------------------------------------------------------
# Exit script on insufficient permission to write a specified file

exit_failure_file_permission_write()
{
    if [ $# -gt 0 ]; then
        echo "xdg-settings: $@" >&2
    fi

    exit 6
}

check_input_file()
{
    if [ ! -e "$1" ]; then
        exit_failure_file_missing "file '$1' does not exist"
    fi
    if [ ! -r "$1" ]; then
        exit_failure_file_permission_read "no permission to read file '$1'"
    fi
}

check_vendor_prefix()
{
    file_label="$2"
    [ -n "$file_label" ] || file_label="filename"
    file=`basename "$1"`
    case "$file" in
       [[:alpha:]]*-*)
         return
         ;;
    esac

    echo "xdg-settings: $file_label '$file' does not have a proper vendor prefix" >&2
    echo 'A vendor prefix consists of alpha characters ([a-zA-Z]) and is terminated' >&2
    echo 'with a dash ("-"). An example '"$file_label"' is '"'example-$file'" >&2
    echo "Use --novendor to override or 'xdg-settings --manual' for additional info." >&2
    exit 1
}

check_output_file()
{
    # if the file exists, check if it is writeable
    # if it does not exists, check if we are allowed to write on the directory
    if [ -e "$1" ]; then
        if [ ! -w "$1" ]; then
            exit_failure_file_permission_write "no permission to write to file '$1'"
        fi
    else
        DIR=`dirname "$1"`
        if [ ! -w "$DIR" ] || [ ! -x "$DIR" ]; then
            exit_failure_file_permission_write "no permission to create file '$1'"
        fi
    fi
}

#----------------------------------------
# Checks for shared commands, e.g. --help

check_common_commands()
{
    while [ $# -gt 0 ] ; do
        parm="$1"
        shift

        case "$parm" in
            --help)
            usage
            echo "Use 'man xdg-settings' or 'xdg-settings --manual' for additional info."
            exit_success
            ;;

            --manual)
            manualpage
            exit_success
            ;;

            --version)
            echo "xdg-settings 1.1.3"
            exit_success
            ;;
        esac
    done
}

check_common_commands "$@"

[ -z "${XDG_UTILS_DEBUG_LEVEL}" ] && unset XDG_UTILS_DEBUG_LEVEL;
if [ ${XDG_UTILS_DEBUG_LEVEL-0} -lt 1 ]; then
    # Be silent
    xdg_redirect_output=" > /dev/null 2> /dev/null"
else
    # All output to stderr
    xdg_redirect_output=" >&2"
fi

#--------------------------------------
# Checks for known desktop environments
# set variable DE to the desktop environments name, lowercase

detectDE()
{
    # see https://bugs.freedesktop.org/show_bug.cgi?id=34164
    unset GREP_OPTIONS

    if [ -n "${XDG_CURRENT_DESKTOP}" ]; then
      case "${XDG_CURRENT_DESKTOP}" in
         # only recently added to menu-spec, pre-spec X- still in use
         Cinnamon|X-Cinnamon)
           DE=cinnamon;
           ;;
         ENLIGHTENMENT)
           DE=enlightenment;
           ;;
         # GNOME, GNOME-Classic:GNOME, or GNOME-Flashback:GNOME
         GNOME*)
           DE=gnome;
           ;;
         KDE)
           DE=kde;
           ;;
         DEEPIN|Deepin|deepin)
           DE=deepin;
           ;;
         LXDE)
           DE=lxde;
           ;;
         LXQt)
           DE=lxqt;
           ;;
         MATE)
           DE=mate;
           ;;
         XFCE)
           DE=xfce
           ;;
         X-Generic)
           DE=generic
           ;;
      esac
    fi

    if [ x"$DE" = x"" ]; then
      # classic fallbacks
      if [ x"$KDE_FULL_SESSION" != x"" ]; then DE=kde;
      elif [ x"$GNOME_DESKTOP_SESSION_ID" != x"" ]; then DE=gnome;
      elif [ x"$MATE_DESKTOP_SESSION_ID" != x"" ]; then DE=mate;
      elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome;
      elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce;
      elif xprop -root 2> /dev/null | grep -i '^xfce_desktop_window' >/dev/null 2>&1; then DE=xfce
      elif echo $DESKTOP | grep -q '^Enlightenment'; then DE=enlightenment;
      elif [ x"$LXQT_SESSION_CONFIG" != x"" ]; then DE=lxqt;
      fi
    fi

    if [ x"$DE" = x"" ]; then
      # fallback to checking $DESKTOP_SESSION
      case "$DESKTOP_SESSION" in
         gnome)
           DE=gnome;
           ;;
         LXDE|Lubuntu)
           DE=lxde; 
           ;;
         MATE)
           DE=mate;
           ;;
         xfce|xfce4|'Xfce Session')
           DE=xfce;
           ;;
      esac
    fi

    if [ x"$DE" = x"" ]; then
      # fallback to uname output for other platforms
      case "$(uname 2>/dev/null)" in 
        CYGWIN*)
          DE=cygwin;
          ;;
        Darwin)
          DE=darwin;
          ;;
      esac
    fi

    if [ x"$DE" = x"gnome" ]; then
      # gnome-default-applications-properties is only available in GNOME 2.x
      # but not in GNOME 3.x
      which gnome-default-applications-properties > /dev/null 2>&1  || DE="gnome3"
    fi

    if [ -f "$XDG_RUNTIME_DIR/flatpak-info" ]; then
      DE="flatpak"
    fi
}

#----------------------------------------------------------------------------
# kfmclient exec/openURL can give bogus exit value in KDE <= 3.5.4
# It also always returns 1 in KDE 3.4 and earlier
# Simply return 0 in such case

kfmclient_fix_exit_code()
{
    version=`LC_ALL=C.UTF-8 kde-config --version 2>/dev/null | grep '^KDE'`
    major=`echo $version | sed 's/KDE.*: \([0-9]\).*/\1/'`
    minor=`echo $version | sed 's/KDE.*: [0-9]*\.\([0-9]\).*/\1/'`
    release=`echo $version | sed 's/KDE.*: [0-9]*\.[0-9]*\.\([0-9]\).*/\1/'`
    test "$major" -gt 3 && return $1
    test "$minor" -gt 5 && return $1
    test "$release" -gt 4 && return $1
    return 0
}

#----------------------------------------------------------------------------
# Returns true if there is a graphical display attached.

has_display()
{
    if [ -n "$DISPLAY" ] || [ -n "$WAYLAND_DISPLAY" ]; then
        return 0
    else
        return 1
    fi
}

check_desktop_filename()
{
    case "$1" in
      */*)
        exit_failure_syntax "invalid application name"
        ;;
      *.desktop)
        return
        ;;
      *)
        exit_failure_syntax "invalid application name"
        ;;
    esac
}

# {{{ default browser
# {{{ utility functions

# In order to remove an application from the automatically-generated list of
# applications for handling a given MIME type, the desktop environment may copy
# the global .desktop file into the user's .local directory, and remove that
# MIME type from its list. In that case, we must restore the MIME type to the
# application's list of MIME types before we can set it as the default for that
# MIME type. (We can't just delete the local version, since the user may have
# made other changes to it as well. So, tweak the existing file.)
# This function is hard-coded for text/html but it could be adapted if needed.
fix_local_desktop_file()
{
    if test -z "$2" ; then
        MIME="text/html"
    else
        MIME="$2"
    fi
    apps="${XDG_DATA_HOME:-$HOME/.local/share}/applications"
    # No local desktop file?
    [ ! -f "$apps/$1" ] && return
    MIMETYPES="`grep "^MimeType=" "$apps/$1" | cut -d= -f 2-`"
    case "$MIMETYPES" in
      $MIME\;*|*\;$MIME\;*|*\;$MIME\;|*\;$MIME)
        # Already has the mime-type? Great!
        return 0
        ;;
    esac

    # Add the mime-type to the list
    temp="`mktemp "$apps/$1.XXXXXX"`" || return
    grep -v "^MimeType=" "$apps/$1" >> "$temp"
    echo "MimeType=$MIME;$MIMETYPES" >> "$temp"

    oldlines="`wc -l < "$apps/$1"`"
    newlines="`wc -l < "$temp"`"
    # The new file should have at least as many lines as the old.
    if [ $oldlines -le $newlines ]; then
        mv "$temp" "$apps/$1"
        # This can take a little bit to get noticed.
        sleep 4
    else
        rm -f "$temp"
        return 1
    fi
}

# }}} utility functions
# {{{ MIME utilities

xdg_mime_fixup()
{
    # xdg-mime may use ktradertest, which will fork off a copy of kdeinit if
    # one does not already exist. It will exit after about 15 seconds if no
    # further processes need it around. But since it does not close its stdout,
    # the shell (via grep) will wait around for kdeinit to exit. If we start a
    # copy here, that copy will be used in xdg-mime and we will avoid waiting.
    if [ "$DE" = kde -a -z "$XDG_MIME_FIXED" ]; then
        ktradertest text/html Application > /dev/null 2>&1
        # Only do this once, as we only need it once.
        XDG_MIME_FIXED=yes
    fi
}

get_browser_mime()
{
    if test -z "$1" ; then
        MIME="text/html"
    else
        MIME="$1"
    fi
    xdg_mime_fixup
    xdg-mime query default "$MIME"
}

set_browser_mime()
{
    xdg_mime_fixup
    if test -z "$2" ; then
        MIME="text/html"
    else
        MIME="$2"
    fi
    orig="`get_browser_mime $MIME`"
    # Fixing the local desktop file can actually change the default browser all
    # by itself, so we fix it only after querying to find the current default.
    fix_local_desktop_file "$1" "$MIME" || return
    mkdir -p "${XDG_DATA_HOME:-$HOME/.local/share}/applications"
    xdg-mime default "$1" "$MIME" || return
    if [ x"`get_browser_mime`" != x"$1" ]; then
        # Put back the original value
        xdg-mime default "$orig" "$MIME"
        exit_failure_operation_failed
    fi
}

# }}} MIME utilities
# {{{ KDE utilities

# Reads the KDE configuration setting, compensating for a bug in some versions of kreadconfig.
read_kde_config()
{
    configfile="$1"
    configsection="$2"
    configkey="$3"
    if [ x"${KDE_SESSION_VERSION}" = x"5" ]; then
        application="`kreadconfig5 --file $configfile --group $configsection --key $configkey`"
    else
        application="`kreadconfig --file $configfile --group $configsection --key $configkey`"
    fi
    if [ x"$application" != x ]; then
        echo "$application"
    else
      if [ x"${KDE_SESSION_VERSION}" = x"4" ]; then
        # kreadconfig in KDE 4 may not notice Key[$*]=... localized settings, so
        # check by hand if it didn't find anything (oddly kwriteconfig works
        # fine though).
        configfile_dir=`kde${KDE_SESSION_VERSION}-config --path config  | cut -d ':' -f 1`
        configfile_path="$configfile_dir/$configfile"
        [ ! -f "$configfile_path" ] && return
        # This will only take the first value if there is more than one.
        grep "^$configkey"'\[$[^]=]*\]=' "$configfile_path" | head -n 1 | cut -d= -f 2-
      fi
    fi
}

# }}} KDE utilities
# {{{ KDE

# Resolves the KDE browser setting to a binary: if prefixed with !, simply removes it;
# otherwise, uses desktop_file_to_binary to get the binary out of the desktop file.
resolve_kde_browser()
{
    [ -z "$browser" ] && return
    case "$browser" in
      !*)
        echo "${browser#!}"
        ;;
      *)
        desktop_file_to_binary "$browser"
        ;;
    esac
}

# Does the opposite of resolve_kde_browser: if prefixed with !, tries to find a desktop
# file corresponding to the binary, otherwise just returns the desktop file name.
resolve_kde_browser_desktop()
{
    [ -z "$browser" ] && return
    case "$browser" in
      !*)
        desktop="`binary_to_desktop_file "${browser#!}"`"
        basename "$desktop"
        ;;
      *)
        echo "$browser"
        ;;
    esac
}

read_kde_browser()
{
    read_kde_config kdeglobals General BrowserApplication
}

get_browser_kde()
{
    browser="`read_kde_browser`"
    if [ x"$browser" = x ]; then
        # No explicit default browser; KDE will use the MIME type text/html.
        get_browser_mime
    else
        resolve_kde_browser_desktop
    fi
}

check_browser_kde()
{
    check="`desktop_file_to_binary "$1"`"
    if [ -z "$check" ]; then
        echo no
        exit_success
    fi
    browser="`read_kde_browser`"
    binary="`resolve_kde_browser`"

    # The browser may contain a relative entry to the binary starting with !
    if [ x"!" == x"${browser:0:1}" ]; then
        # get the full path
        browser="`binary_to_desktop_file ${browser:1}`"
        binary="`desktop_file_to_binary $browser`"
    fi

    # Because KDE will use the handler for MIME type text/html if this value
    # is empty, we allow either the empty string or a match to $check here.
    if [ x"$binary" != x -a x"$binary" != x"$check" ]; then
        echo no
        exit_success
    fi
    browser="`get_browser_mime`"
    binary="`desktop_file_to_binary "$browser"`"
    if [ x"$binary" != x"$check" ]; then
        echo no
        exit_success
    fi
    echo yes
    exit_success
}

set_browser_kde()
{
    set_browser_mime "$1" || return
    if [ x"${KDE_SESSION_VERSION}" = x"5" ]; then
        kwriteconfig5 --file kdeglobals --group General --key BrowserApplication "$1"
    else
        kwriteconfig --file kdeglobals --group General --key BrowserApplication "$1"
    fi
}

# }}} KDE
# {{{ GNOME

get_browser_gnome()
{
    binary="`gconftool-2 --get /desktop/gnome/applications/browser/exec | first_word`"
    if [ x"$binary" = x ]; then
        # No default browser; GNOME might use the MIME type text/html.
        get_browser_mime
    else
        # gconftool gives the binary (maybe with %s etc. afterward),
        # but we want the desktop file name, not the binary. So, we
        # have to find the desktop file to which it corresponds.
        desktop="`binary_to_desktop_file "$binary"`"
        basename "$desktop"
    fi
}

check_browser_gnome()
{
    check="`desktop_file_to_binary "$1"`"
    if [ -z "$check" ]; then
        echo no
        exit_success
    fi
    binary="`gconftool-2 --get /desktop/gnome/applications/browser/exec | first_word`"
    if [ x"$binary" != x"$check" ]; then
        echo no
        exit_success
    fi
    # Check HTTP and HTTPS, but not about: and unknown:.
    for protocol in http https; do
        binary="`gconftool-2 --get /desktop/gnome/url-handlers/$protocol/command | first_word`"
        if [ x"$binary" != x"$check" ]; then
            echo no
            exit_success
        fi
    done
    browser="`get_browser_mime`"
    binary="`desktop_file_to_binary "$browser"`"
    if [ x"$binary" != x"$check" ]; then
        echo no
        exit_success
    fi
    echo yes
    exit_success
}

set_browser_gnome()
{
    binary="`desktop_file_to_binary "$1"`"
    [ "$binary" ] || exit_failure_file_missing
    set_browser_mime "$1" || return

    # Set the default browser.
    gconftool-2 --type string --set /desktop/gnome/applications/browser/exec "$binary"
    gconftool-2 --type bool --set /desktop/gnome/applications/browser/needs_term false
    gconftool-2 --type bool --set /desktop/gnome/applications/browser/nremote true
    # Set the handler for HTTP and HTTPS.
    for protocol in http https; do
        gconftool-2 --type string --set /desktop/gnome/url-handlers/$protocol/command "$binary %s"
        gconftool-2 --type bool --set /desktop/gnome/url-handlers/$protocol/needs_terminal false
        gconftool-2 --type bool --set /desktop/gnome/url-handlers/$protocol/enabled true
    done
    # Set the handler for about: and unknown URL types.
    for protocol in about unknown; do
        gconftool-2 --type string --set /desktop/gnome/url-handlers/$protocol/command "$binary %s"
    done
}

# }}} GNOME
# {{{ GNOME 3.x

get_browser_gnome3()
{
    get_browser_mime "x-scheme-handler/http"
}

check_browser_gnome3()
{
    desktop="$1"
    check="`desktop_file_to_binary "$1"`"
    if [ -z "$check" ]; then
        echo no
        exit_success
    fi
    # Check HTTP and HTTPS, but not about: and unknown:.
    for protocol in http https; do
        browser="`get_browser_mime "x-scheme-handler/$protocol"`"
        if [ x"$browser" != x"$desktop" ]; then
            echo no
            exit_success
        fi
    done
    echo yes
    exit_success
}

set_browser_gnome3()
{
    binary="`desktop_file_to_binary "$1"`"
    [ "$binary" ] || exit_failure_file_missing
    set_browser_mime "$1" || return

    # Set the default browser.
    for protocol in http https about unknown; do
        set_browser_mime "$1" "x-scheme-handler/$protocol" || return
    done
}
# }}} GNOME 3.x
# {{{ xfce

get_browser_xfce()
{
    search="${XDG_CONFIG_HOME:-$HOME/.config}:${XDG_CONFIG_DIRS:-/etc/xdg}"
    IFS=:
    for dir in $search; do
        unset IFS
        [ "$dir" ] && [ -d "$dir/xfce4" ] || continue
        file="$dir/xfce4/helpers.rc"
        [ -r "$file" ] || continue
        grep -q "^WebBrowser=" "$file" || continue
        desktop="`grep "^WebBrowser=" "$file" | cut -d= -f 2-`"
        echo "$desktop.desktop"
        return
    done
    exit_failure_operation_failed
}

check_browser_xfce()
{
    browser="`get_browser_xfce`"
    if [ x"$browser" != x"$1" ]; then
        echo no
        exit_success
    fi
    echo yes
    exit_success
}

check_xfce_desktop_file()
{
    # Annoyingly, xfce wants its .desktop files in a separate directory instead
    # of the standard locations, and requires a few custom tweaks to them:
    # "Type" must be "X-XFCE-Helper"
    # "X-XFCE-Category" must be "WebBrowser" (for web browsers, anyway)
    # "X-XFCE-Commands" and "X-XFCE-CommandsWithParameter" must be set
    search="${XDG_DATA_HOME:-$HOME/.local/share}:${XDG_DATA_DIRS:-/usr/local/share:/usr/share}"
    IFS=:
    for dir in $search; do
        unset IFS
        [ "$dir" ] && [ -d "$dir/xfce4/helpers" ] || continue
        file="$dir/xfce4/helpers/$1"
        # We have the file, no need to create it.
        [ -r "$file" ] && return
    done
    IFS=:
    for dir in $search; do
        unset IFS
        [ "$dir" ] && [ -d "$dir/applications" ] || continue
        file="$dir/applications/$1"
        if [ -r "$file" ]; then
            # Found a file to convert.
            target="${XDG_DATA_HOME:-$HOME/.local/share}/xfce4/helpers"
            mkdir -p "$target"
            # Copy file up to first "Exec=" line.
            sed -e 's/^Type=.*/Type=X-XFCE-Helper/' -e '/^Exec[=[]/,$d' "$file" > "$target/$1"
            echo "X-XFCE-Category=WebBrowser" >> "$target/$1"
            # Change %F, %f, %U, and %u to "%s".
            command=$(grep -E '^Exec(\[[^]=]*])?=' "$file" | cut -d= -f 2- | sed -e 's/%[FfUu]/"%s"/g' | head -1)
            echo "X-XFCE-Commands=`echo "$command" | first_word`" >> "$target/$1"
            echo "X-XFCE-CommandsWithParameter=$command" >> "$target/$1"
            # Copy rest of file (from first "Exec=" line to end-of-file).
            sed -n -e 's/^Type=.*/Type=X-XFCE-Helper/' -e '/^Exec[=[]/,$p' "$file" >> "$target/$1"
            return
        fi
    done
    return 1
}

set_browser_xfce()
{
    check_xfce_desktop_file "$1" || exit_failure_operation_failed

    helper_dir="${XDG_CONFIG_HOME:-$HOME/.config}/xfce4"
    if [ ! -d "$helper_dir" ]; then
        mkdir -p "$helper_dir" || exit_failure_operation_failed
    fi

    helpers_rc="$helper_dir/helpers.rc"
    # Create the file if it does not exist to avoid special cases below.
    if [ ! -r "$helpers_rc" ]; then
        touch "$helpers_rc" || exit_failure_operation_failed
    fi

    temp="`mktemp "$helpers_rc.XXXXXX"`" || return
    grep -v "^WebBrowser=" "$helpers_rc" >> "$temp"
    echo "WebBrowser=${1%.desktop}" >> "$temp"

    oldlines="`wc -l < "$helpers_rc"`"
    newlines="`wc -l < "$temp"`"
    # The new file should have at least as many lines as the old.
    if [ $oldlines -le $newlines ]; then
        mv "$temp" "$helpers_rc"
    else
        rm -f "$temp"
        return 1
    fi
}

# }}} xfce
# {{{ generic

get_browser_generic()
{
    if [ -n "$BROWSER" ]; then
        local browser=$(binary_to_desktop_file "${BROWSER%%:*}")
        if [ -n "$browser" ]; then
            echo "$(basename "$browser")"
            return 0
        fi
    fi

    if get_browser_mime x-scheme-handler/http; then
        return 0
    fi

    # Debian and derivatives have x-www-browser
    local browser=$(binary_to_desktop_file x-www-browser)
    if [ -n "$browser" ]; then
        echo "$(basename "$browser")"
        return 0
    fi

    return 4
}

check_browser_generic()
{
    local desktop="$1"

    # Check HTTP
    if [ "$desktop" != "$(get_browser_generic)" ]; then
        echo no
        exit_success
    fi

    # Check text/html
    if [ "$desktop" != "$(get_browser_mime)" ]; then
        echo no
        exit_success
    fi

    # Check HTTPS
    if [ "$desktop" != "$(get_url_scheme_handler_generic https)" ]; then
        echo no
        exit_success
    fi

    echo yes
    exit_success
}

set_browser_generic()
{
    if [ -n "$BROWSER" ]; then
        exit_failure_operation_failed \
            "\$BROWSER is set and can't be changed with xdg-settings"
    fi

    binary=$(desktop_file_to_binary "$1")
    [ -n "$binary" ] || exit_failure_file_missing

    set_browser_mime "$1" text/html || return

    for protocol in http https about unknown; do
        set_browser_mime "$1" "x-scheme-handler/$protocol" || return
    done
}
# }}} generic
# }}} default browser

# {{{ default url scheme handler

exit_unimplemented_default_handler()
{
    exit_failure_operation_impossible "default-url-scheme-handler not implemented for $DE"
}

# {{{ KDE

# Recent versions of KDE support default scheme handler applications using the
# mime type of x-scheme-handler/scheme. Older versions will not support this
# but do have support for setting a default mail handler. There is also a
# system in KDE where .protocol files can be used, however this is not
# supported by this script. When reading a scheme handler we will use the
# default mail handler for the mailto scheme, otherwise we will use the mime
# type x-scheme-handler/scheme.

get_url_scheme_handler_kde()
{
    if [ "$1" = "mailto" ]; then
        handler="`read_kde_config emaildefaults PROFILE_Default EmailClient | first_word`"
        echo "handler is $handler"
        if [ x"$handler" != x ]; then
            binary_to_desktop_file "$handler"
        else
            get_browser_mime "x-scheme-handler/$1"
        fi
    else 
        get_browser_mime "x-scheme-handler/$1"
    fi
}

check_url_scheme_handler_kde()
{
    check="`desktop_file_to_binary "$2"`"
    if [ -z "$check" ]; then
        echo no
        exit_success
    fi
    if [ x"$1" = "mailto" ]; then
        binary="`read_kde_config emaildefaults PROFILE_Default EmailClient`"
        # The field may contain a relative entry to the binary starting with !
        if [ x"!" == x"${binary:0:1}" ]; then
            # get the full path
            desktop_file="`binary_to_desktop_file ${binary:1}`"
            binary="`desktop_file_to_binary $desktop_file`"
        fi
        if [ x"$binary" != x"$check" ]; then
            echo no
            exit_success
        fi
    else
        handler="`get_browser_mime x-scheme-handler/$1`"
        binary="`desktop_file_to_binary "$handler"`"
        if [ x"$binary" != x"$check" ]; then
            echo no
            exit_success
        fi
    fi
    echo yes
    exit_success
}

set_url_scheme_handler_kde()
{
    set_browser_mime "$2" "x-scheme-handler/$1" || return
    if [ "$1" = "mailto" ]; then
        binary="`desktop_file_to_binary "$2"`"
        if [ x"${KDE_SESSION_VERSION}" = x"5" ]; then
            kwriteconfig5 --file emaildefaults --group PROFILE_Default --key EmailClient "$binary"
        else
            kwriteconfig --file emaildefaults --group PROFILE_Default --key EmailClient "$binary"
        fi
    fi
}

# }}} KDE
# {{{ GNOME

get_url_scheme_handler_gnome()
{
    binary="`gconftool-2 --get /desktop/gnome/url-handlers/$1/command | first_word`"
    if [ x"$binary" != x"" ]; then
        # gconftool gives the binary (maybe with %s etc. afterward),
        # but we want the desktop file name, not the binary. So, we
        # have to find the desktop file to which it corresponds.
        desktop="`binary_to_desktop_file "$binary"`"
        basename "$desktop"
    fi
}

check_url_scheme_handler_gnome()
{
    check="`desktop_file_to_binary "$2"`"
    if [ -z "$check" ]; then
        echo no
        exit_success
    fi
    binary="`gconftool-2 --get /desktop/gnome/url-handlers/$1/command | first_word`"
    if [ x"$binary" != x"$check" ]; then
        echo no
        exit_success
    fi
    echo yes
    exit_success
}

set_url_scheme_handler_gnome()
{
    binary="`desktop_file_to_binary "$2"`"
    [ "$binary" ] || exit_failure_file_missing

    gconftool-2 --type string --set /desktop/gnome/url-handlers/$1/command "$binary %s"
    gconftool-2 --type bool --set /desktop/gnome/url-handlers/$1/needs_terminal false
    gconftool-2 --type bool --set /desktop/gnome/url-handlers/$1/enabled true
}

# }}} GNOME
# {{{ GNOME 3.x

get_url_scheme_handler_gnome3()
{
    get_browser_mime "x-scheme-handler/$1"
}

check_url_scheme_handler_gnome3()
{
    desktop="$2"
    check="`desktop_file_to_binary "$2"`"
    if [ -z "$check" ]; then
        echo no
        exit_success
    fi
    browser="`get_browser_mime "x-scheme-handler/$1"`"
    if [ x"$browser" != x"$desktop" ]; then
        echo no
        exit_success
    fi
    echo yes
    exit_success
}

set_url_scheme_handler_gnome3()
{
    binary="`desktop_file_to_binary "$2"`"
    [ "$binary" ] || exit_failure_file_missing
    set_browser_mime "$2" || return

    # Set the default browser.
    set_browser_mime "$2" "x-scheme-handler/$1" || return
}

# }}} GNOME 3.x
# {{{ xfce

get_url_scheme_handler_xfce()
{
    exit_unimplemented_default_handler "$1"
}

check_url_scheme_handler_xfce()
{
    exit_unimplemented_default_handler "$1"
}

set_url_scheme_handler_xfce()
{
    exit_unimplemented_default_handler "$1"
}

# }}} xfce
# {{{ generic

get_url_scheme_handler_generic()
{
    if [ -n "$BROWSER" ] && ([ "$1" = http ] || [ "$1" = https ]); then
        get_browser_generic
    else
        get_browser_mime "x-scheme-handler/$1"
    fi
}

check_url_scheme_handler_generic()
{
    local scheme="$1" desktop="$2"

    if [ -z "$(desktop_file_to_binary "$desktop")" ]; then
        echo no
        exit_success
    fi

    local browser=$(get_url_scheme_handler_generic "$scheme")
    if [ "$browser" != "$desktop" ]; then
        echo no
        exit_success
    fi
    echo yes
    exit_success
}

set_url_scheme_handler_generic()
{
    local scheme="$1" desktop="$2"

    if [ -n "$BROWSER" ] && \
           ([ "$scheme" = http ] || [ "$scheme" = https ]); then
        exit_failure_operation_failed \
            "\$BROWSER is set and can't be changed with xdg-settings"
    fi

    if [ -z "$(desktop_file_to_binary "$desktop")" ]; then
        exit_failure_file_missing
    fi

    set_browser_mime "$desktop" "x-scheme-handler/$scheme"
}

# }}} generic
# }}} default protocol handler

dispatch_specific()
{
    local handler=$1; shift
    # The PROP comments in this function are used to generate the output of
    # the --list option. The formatting is important. Make sure to line up the
    # property descriptions with spaces so that it will look nice.
    if [ x"$op" = x"get" ]; then
        case "$parm" in
          default-web-browser) # PROP:           Default web browser
            get_browser_$handler
            ;;

          default-url-scheme-handler) # PROP:    Default handler for URL scheme
            get_url_scheme_handler_$handler "$1"
            ;;

          *)
            exit_failure_syntax
            ;;
        esac
    elif [ x"$op" = x"check" ]; then
        case "$parm" in
          default-web-browser)
            check_desktop_filename "$1"
            check_browser_$handler "$1"
            ;;

          default-url-scheme-handler)
            check_desktop_filename "$2"
            check_url_scheme_handler_$handler "$1" "$2"
            ;;

          *)
            exit_failure_syntax
            ;;
        esac
    else # set
        case "$parm" in
          default-web-browser)
	    [ $# -eq 1 ] || exit_failure_syntax "unexpected/missing argument"
            check_desktop_filename "$1"
            set_browser_$handler "$1"
            ;;

          default-url-scheme-handler)
	    [ $# -eq 2 ] || exit_failure_syntax "unexpected/missing argument"
            check_desktop_filename "$2"
            set_url_scheme_handler_$handler "$1" "$2"
            ;;

          *)
            exit_failure_syntax
            ;;
        esac
    fi

    if [ $? -eq 0 ]; then
        exit_success
    else
        exit_failure_operation_failed
    fi
}

if [ x"$1" = x"--list" ]; then
    echo "Known properties:"
    # Extract the property names from dispatch_specific() above.
    grep "^[ 	]*[^)]*) # PROP:" "$0" | sed -e 's/^[ 	]*\([^)]*\)) # PROP: \(.*\)$/  \1 \2/' | sort
    exit_success
fi

[ x"$1" != x ] || exit_failure_syntax "no operation given"
[ x"$2" != x ] || exit_failure_syntax "no parameter name given"
[ x"$1" = x"get" -o x"$3" != x ] || exit_failure_syntax "no parameter value given"

op="$1"
parm="$2"
shift 2

if [ x"$op" != x"get" -a x"$op" != x"check" -a x"$op" != x"set" ]; then
  exit_failure_syntax "invalid operation"
fi

detectDE

if [ -z "$DE" ]; then
    DE=generic
fi

case "$DE" in
    kde)
    dispatch_specific kde "$@"
    ;;

    gnome)
    dispatch_specific gnome "$@"
    ;;

    gnome3|cinnamon|lxde|mate)
    dispatch_specific gnome3 "$@"
    ;;

    xfce)
    dispatch_specific xfce "$@"
    ;;

    generic|lxqt|enlightenment)
    dispatch_specific generic "$@"
    ;;

    *)
    exit_failure_operation_impossible "unknown desktop environment"
    ;;
esac

Filemanager

Name Type Size Permission Actions
X11 Folder 0755
GET File 15.82 KB 0755
HEAD File 15.82 KB 0755
POST File 15.82 KB 0755
X File 274 B 0755
Xephyr File 2.32 MB 0755
Xorg File 274 B 0755
Xwayland File 2.22 MB 0755
[ File 58.34 KB 0755
aa-enabled File 30.52 KB 0755
aa-exec File 34.52 KB 0755
ab File 58.34 KB 0755
aconnect File 22.38 KB 0755
acpi_listen File 18.57 KB 0755
add-apt-repository File 7.24 KB 0755
addpart File 30.23 KB 0755
alsabat File 46.44 KB 0755
alsaloop File 83.3 KB 0755
alsamixer File 70.73 KB 0755
alsatplg File 14.38 KB 0755
alsaucm File 30.79 KB 0755
amidi File 30.38 KB 0755
amixer File 62.45 KB 0755
amuFormat.sh File 2.61 KB 0755
apg File 274 B 0755
apgbfm File 26.07 KB 0755
aplay File 82.43 KB 0755
aplaymidi File 26.38 KB 0755
apport-bug File 2.5 KB 0755
apport-cli File 13.05 KB 0755
apport-collect File 2.5 KB 0755
apport-unpack File 2.02 KB 0755
appres File 14.3 KB 0755
appstreamcli File 66.23 KB 0755
apropos File 55.21 KB 0755
apt File 18.38 KB 0755
apt-add-repository File 7.24 KB 0755
apt-cache File 86.46 KB 0755
apt-cdrom File 30.46 KB 0755
apt-config File 26.38 KB 0755
apt-extracttemplates File 26.47 KB 0755
apt-ftparchive File 274.47 KB 0755
apt-get File 46.46 KB 0755
apt-key File 27.28 KB 0755
apt-mark File 62.46 KB 0755
apt-sortpkgs File 46.39 KB 0755
aptdcon File 1.01 KB 0755
apturl File 273 B 0755
apturl-gtk File 1.51 KB 0755
arch File 38.37 KB 0755
arecord File 82.43 KB 0755
arecordmidi File 30.39 KB 0755
arm2hpdl File 14.31 KB 0755
aseqdump File 26.38 KB 0755
aseqnet File 26.43 KB 0755
aspell File 166.5 KB 0755
aspell-import File 2 KB 0755
atobm File 14.3 KB 0755
avahi-browse File 30.24 KB 0755
avahi-browse-domains File 30.24 KB 0755
avahi-publish File 26.23 KB 0755
avahi-publish-address File 26.23 KB 0755
avahi-publish-service File 26.23 KB 0755
avahi-resolve File 22.23 KB 0755
avahi-resolve-address File 22.23 KB 0755
avahi-resolve-host-name File 22.23 KB 0755
avahi-set-host-name File 14.23 KB 0755
awk File 158.74 KB 0755
axfer File 90.38 KB 0755
b2sum File 58.37 KB 0755
baobab File 202.44 KB 0755
base32 File 42.34 KB 0755
base64 File 42.34 KB 0755
basename File 38.34 KB 0755
bash File 1.13 MB 0755
bashbug File 6.63 KB 0755
bc File 98.7 KB 0755
bccmd File 192.46 KB 0755
bdftopcf File 42.12 KB 0755
bdftruncate File 9.99 KB 0755
bitmap File 106.39 KB 0755
bluemoon File 82.23 KB 0755
bluetooth-sendto File 34.4 KB 0755
bluetoothctl File 246.71 KB 0755
bmtoa File 14.32 KB 0755
boltctl File 150.82 KB 0755
bootctl File 62.34 KB 0755
brltty File 799.61 KB 0755
brltty-ctb File 242.72 KB 0755
brltty-trtxt File 182.59 KB 0755
brltty-ttb File 214.78 KB 0755
broadwayd File 118.38 KB 0755
browse File 25.02 KB 0755
bsd-from File 14.15 KB 0755
bsd-write File 14.15 KB 2755
btattach File 74.23 KB 0755
btmgmt File 299.95 KB 0755
btmon File 796.15 KB 0755
bunzip2 File 38.23 KB 0755
busctl File 86.34 KB 0755
busybox File 2.07 MB 0755
bwrap File 66.44 KB 0755
bzcat File 38.23 KB 0755
bzcmp File 2.17 KB 0755
bzdiff File 2.17 KB 0755
bzegrep File 3.69 KB 0755
bzexe File 4.76 KB 0755
bzfgrep File 3.69 KB 0755
bzgrep File 3.69 KB 0755
bzip2 File 38.23 KB 0755
bzip2recover File 18.15 KB 0755
bzless File 1.27 KB 0755
bzmore File 1.27 KB 0755
c_rehash File 6.65 KB 0755
cal File 36.95 KB 0755
calendar File 34.63 KB 0755
calibrate_ppa File 27.04 KB 0755
canberra-gtk-play File 18.07 KB 0755
cancel File 14.3 KB 0755
captoinfo File 90.41 KB 0755
cat File 42.4 KB 0755
catchsegv File 3.25 KB 0755
catman File 38.69 KB 0755
cautious-launcher File 853 B 0755
cd-create-profile File 26.3 KB 0755
cd-fix-profile File 26.3 KB 0755
cd-iccdump File 14.3 KB 0755
cd-it8 File 22.3 KB 0755
certbot File 385 B 0755
chacl File 18.15 KB 0755
chage File 82.53 KB 2755
chardet3 File 389 B 0755
chardetect3 File 389 B 0755
chattr File 14.31 KB 0755
chcon File 70.34 KB 0755
check-language-support File 2.71 KB 0755
checkgid File 14.15 KB 0755
cheese File 266.38 KB 0755
chfn File 83.07 KB 4755
chgrp File 70.34 KB 0755
chmod File 62.37 KB 0755
choom File 50.23 KB 0755
chown File 70.34 KB 0755
chrt File 38.23 KB 0755
chsh File 51.8 KB 4755
chvt File 14.07 KB 0755
ciptool File 145.74 KB 0755
ckbcomp File 146.39 KB 0755
cksum File 38.34 KB 0755
clear File 14.31 KB 0755
clear_console File 14.23 KB 0755
cmp File 50.09 KB 0755
codepage File 13.99 KB 0755
col File 18.15 KB 0755
colcrt File 14.15 KB 0755
colormgr File 58.3 KB 0755
colrm File 14.15 KB 0755
column File 14.16 KB 0755
comm File 42.37 KB 0755
compose File 18.05 KB 0755
corelist File 14.73 KB 0755
cp File 150.37 KB 0755
cpan File 7.96 KB 0755
cpan5.30-x86_64-linux-gnu File 7.98 KB 0755
cpio File 161.63 KB 0755
cpp File 1.1 MB 0755
cpp-9 File 1.1 MB 0755
crontab File 42.7 KB 2755
csplit File 54.37 KB 0755
ctstat File 30.51 KB 0755
cupstestppd File 62.38 KB 0755
cut File 46.37 KB 0755
cvt File 18.31 KB 0755
cvtsudoers File 266.7 KB 0755
dash File 126.77 KB 0755
date File 106.37 KB 0755
dbus-cleanup-sockets File 14.14 KB 0755
dbus-daemon File 243.2 KB 0755
dbus-launch File 34.14 KB 0755
dbus-monitor File 30.14 KB 0755
dbus-run-session File 14.14 KB 0755
dbus-send File 30.14 KB 0755
dbus-update-activation-environment File 14.14 KB 0755
dbus-uuidgen File 14.14 KB 0755
dbxtool File 26.3 KB 0755
dc File 54.09 KB 0755
dconf File 54.23 KB 0755
dd File 78.38 KB 0755
ddstdecode File 18.31 KB 0755
deallocvt File 14.07 KB 0755
deb-systemd-helper File 20.83 KB 0755
deb-systemd-invoke File 4.33 KB 0755
debconf File 2.79 KB 0755
debconf-apt-progress File 11.27 KB 0755
debconf-communicate File 608 B 0755
debconf-copydb File 1.68 KB 0755
debconf-escape File 647 B 0755
debconf-set-selections File 2.87 KB 0755
debconf-show File 1.78 KB 0755
debian-distro-info File 22.89 KB 0755
deja-dup File 222.51 KB 0755
delpart File 30.23 KB 0755
delv File 48.88 KB 0755
desktop-file-edit File 96.18 KB 0755
desktop-file-install File 96.18 KB 0755
desktop-file-validate File 80.41 KB 0755
devdump File 179.27 KB 0755
df File 90.95 KB 0755
dfu-tool File 106.3 KB 0755
dh_bash-completion File 2.39 KB 0755
dh_installxmlcatalogs File 9.22 KB 0755
dh_perl_openssl File 1.36 KB 0755
diff File 214.34 KB 0755
diff3 File 66.21 KB 0755
dig File 146.84 KB 0755
dir File 138.81 KB 0755
dircolors File 46.34 KB 0755
dirmngr File 569.86 KB 0755
dirmngr-client File 119.06 KB 0755
dirname File 38.34 KB 0755
dirsplit File 16.74 KB 0755
distro-info File 22.89 KB 0755
dmesg File 82.46 KB 0755
dnsdomainname File 26.23 KB 0755
do-release-upgrade File 9.99 KB 0755
domainname File 26.23 KB 0755
dpkg File 302.68 KB 0755
dpkg-deb File 174.54 KB 0755
dpkg-divert File 150.59 KB 0755
dpkg-maintscript-helper File 20.03 KB 0755
dpkg-query File 162.59 KB 0755
dpkg-split File 122.48 KB 0755
dpkg-statoverride File 62.27 KB 0755
dpkg-trigger File 82.49 KB 0755
driverless File 22.32 KB 0755
du File 106.37 KB 0755
dumpkeys File 174.52 KB 0755
duplicity File 5.23 KB 0755
dvipdf File 1007 B 0755
echo File 38.34 KB 0755
ed File 54.2 KB 0755
edit File 18.05 KB 0755
editor File 312.63 KB 0755
editres File 72.7 KB 0755
egrep File 28 B 0755
eject File 34.84 KB 0755
enc2xs File 41.12 KB 0755
encguess File 2.99 KB 0755
enchant-2 File 22.38 KB 0755
enchant-lsmod-2 File 14.3 KB 0755
env File 42.34 KB 0755
envsubst File 42.23 KB 0755
eog File 18.37 KB 0755
eps2eps File 639 B 0755
eqn File 201.5 KB 0755
esc-m File 14.01 KB 0755
eutp File 26.16 KB 0755
evince File 471.66 KB 0755
evince-previewer File 54.52 KB 0755
evince-thumbnailer File 18.38 KB 0755
ex File 2.78 MB 0755
expand File 42.37 KB 0755
expiry File 30.58 KB 2755
expr File 54.34 KB 0755
factor File 78.37 KB 0755
faillog File 22.59 KB 0755
fallocate File 34.23 KB 0755
false File 38.34 KB 0755
fc-cache File 22.23 KB 0755
fc-cat File 18.23 KB 0755
fc-conflist File 14.23 KB 0755
fc-list File 14.23 KB 0755
fc-match File 14.23 KB 0755
fc-pattern File 14.23 KB 0755
fc-query File 14.23 KB 0755
fc-scan File 14.23 KB 0755
fc-validate File 14.23 KB 0755
fcgistarter File 14.15 KB 0755
fgconsole File 14.07 KB 0755
fgrep File 28 B 0755
file File 26.47 KB 0755
file-roller File 534.11 KB 0755
file2brl File 26.23 KB 0755
fincore File 34.27 KB 0755
find File 312.66 KB 0755
findmnt File 71.41 KB 0755
firefox File 2.6 KB 0755
flock File 34.3 KB 0755
fmt File 46.34 KB 0755
fold File 42.34 KB 0755
fonttosfnt File 34.02 KB 0755
foo2ddst File 31.23 KB 0755
foo2ddst-wrapper File 16.86 KB 0755
foo2hbpl2 File 36.26 KB 0755
foo2hbpl2-wrapper File 17.91 KB 0755
foo2hiperc File 43.23 KB 0755
foo2hiperc-wrapper File 18.11 KB 0755
foo2hp File 39.48 KB 0755
foo2hp2600-wrapper File 18.75 KB 0755
foo2lava File 44.24 KB 0755
foo2lava-wrapper File 19.61 KB 0755
foo2oak File 39.41 KB 0755
foo2oak-wrapper File 17.45 KB 0755
foo2qpdl File 43.26 KB 0755
foo2qpdl-wrapper File 19.06 KB 0755
foo2slx File 31.23 KB 0755
foo2slx-wrapper File 17.19 KB 0755
foo2xqx File 35.23 KB 0755
foo2xqx-wrapper File 17.16 KB 0755
foo2zjs File 44.23 KB 0755
foo2zjs-icc2ps File 26.16 KB 0755
foo2zjs-pstops File 2.93 KB 0755
foo2zjs-wrapper File 25.34 KB 0755
foomatic-rip File 115.42 KB 0755
fprintd-delete File 78.38 KB 0755
fprintd-enroll File 86.86 KB 0755
fprintd-list File 78.38 KB 0755
fprintd-verify File 78.38 KB 0755
free File 26.23 KB 0755
from File 14.15 KB 0755
ftp File 106.7 KB 0755
funzip File 26.15 KB 0755
fuser File 39.24 KB 0755
fusermount File 38.23 KB 4755
futurize File 384 B 0755
fwupdagent File 190.3 KB 0755
fwupdate File 82.3 KB 0755
fwupdmgr File 190.3 KB 0755
fwupdtool File 386.92 KB 0755
gamemoded File 162.49 KB 0755
gamemoderun File 366 B 0755
gamma4scanimage File 14.15 KB 0755
gapplication File 22.38 KB 0755
gatttool File 278.88 KB 0755
gcalccmd File 246.39 KB 0755
gcore File 3.4 KB 0755
gcr-viewer File 18.37 KB 0755
gdb File 8.05 MB 0755
gdb-add-index File 3.95 KB 0755
gdbserver File 509.55 KB 0755
gdbtui File 126 B 0755
gdbus File 50.38 KB 0755
gdialog File 9.01 KB 0755
gdk-pixbuf-csource File 14.33 KB 0755
gdk-pixbuf-pixdata File 14.31 KB 0755
gdk-pixbuf-thumbnailer File 18.39 KB 0755
gdm-screenshot File 18.41 KB 0755
gdmflexiserver File 30.78 KB 0755
gedit File 14.3 KB 0755
genisoimage File 641.9 KB 0755
geqn File 201.5 KB 0755
getconf File 34.29 KB 0755
geteltorito File 6.06 KB 0755
getent File 38.65 KB 0755
getfacl File 30.77 KB 0755
getkeycodes File 14.07 KB 0755
getopt File 22.23 KB 0755
gettext File 42.23 KB 0755
gettext.sh File 4.52 KB 0755
ghostscript File 14.15 KB 0755
ginstall-info File 115.24 KB 0755
gio File 90.4 KB 0755
gio-querymodules File 14.3 KB 0755
gipddecode File 18.31 KB 0755
gjs File 22.59 KB 0755
gjs-console File 22.59 KB 0755
gkbd-keyboard-display File 14.15 KB 0755
glib-compile-schemas File 50.38 KB 0755
gnome-calculator File 774.84 KB 0755
gnome-calendar File 579.4 KB 0755
gnome-characters File 301 B 0755
gnome-control-center File 5.16 MB 0755
gnome-disk-image-mounter File 54.38 KB 0755
gnome-disks File 743.47 KB 0755
gnome-extensions File 50.45 KB 0755
gnome-font-viewer File 94.57 KB 0755
gnome-help File 62.23 KB 0755
gnome-keyring File 22.37 KB 0755
gnome-keyring-3 File 22.37 KB 0755
gnome-keyring-daemon File 1.11 MB 0755
gnome-language-selector File 1.41 KB 0755
gnome-logs File 186.88 KB 0755
gnome-power-statistics File 70.28 KB 0755
gnome-screenshot File 94.74 KB 0755
gnome-session File 806 B 0755
gnome-session-custom-session File 54 B 0755
gnome-session-inhibit File 14.31 KB 0755
gnome-session-properties File 78.34 KB 0755
gnome-session-quit File 14.61 KB 0755
gnome-shell File 22.63 KB 0755
gnome-shell-extension-tool File 1.67 KB 0755
gnome-shell-perf-tool File 10.21 KB 0755
gnome-system-monitor File 334.35 KB 0755
gnome-terminal File 3.32 KB 0755
gnome-terminal.real File 111.15 KB 0755
gnome-terminal.wrapper File 2.36 KB 0755
gnome-text-editor File 14.3 KB 0755
gnome-thumbnail-font File 26.16 KB 0755
gnome-todo File 398.84 KB 0755
gnome-www-browser File 2.6 KB 0755
gpasswd File 86.39 KB 4755
gpg File 1.02 MB 0755
gpg-agent File 409.04 KB 0755
gpg-connect-agent File 163.16 KB 0755
gpg-wks-server File 203.2 KB 0755
gpg-zip File 3.43 KB 0755
gpgcompose File 874.29 KB 0755
gpgconf File 174.66 KB 0755
gpgparsemail File 34.38 KB 0755
gpgsm File 507.24 KB 0755
gpgsplit File 86.76 KB 0755
gpgtar File 151.63 KB 0755
gpgv File 447.15 KB 0755
gpic File 216.34 KB 0755
gpu-manager File 74.82 KB 0755
grep File 194.47 KB 0755
gresource File 22.3 KB 0755
groff File 121.53 KB 0755
grog File 2.71 KB 0755
grops File 181.94 KB 0755
grotty File 129.56 KB 0755
groups File 38.34 KB 0755
grub-editenv File 248.02 KB 0755
grub-file File 780.38 KB 0755
grub-fstest File 901.84 KB 0755
grub-glue-efi File 243.86 KB 0755
grub-kbdcomp File 1.64 KB 0755
grub-menulst2cfg File 228.13 KB 0755
grub-mkfont File 268.42 KB 0755
grub-mkimage File 348.95 KB 0755
grub-mklayout File 252.17 KB 0755
grub-mknetdir File 401.56 KB 0755
grub-mkpasswd-pbkdf2 File 248.2 KB 0755
grub-mkrelpath File 239.58 KB 0755
grub-mkrescue File 954.3 KB 0755
grub-mkstandalone File 477.86 KB 0755
grub-mount File 728.8 KB 0755
grub-ntldr-img File 38.24 KB 0755
grub-render-label File 800.75 KB 0755
grub-script-check File 271.7 KB 0755
grub-syslinux2cfg File 741.27 KB 0755
gs File 14.15 KB 0755
gsbj File 350 B 0755
gsdj File 352 B 0755
gsdj500 File 352 B 0755
gsettings File 30.38 KB 0755
gslj File 353 B 0755
gslp File 350 B 0755
gsnd File 277 B 0755
gst-device-monitor-1.0 File 22.23 KB 0755
gst-discoverer-1.0 File 30.15 KB 0755
gst-inspect-1.0 File 62.23 KB 0755
gst-launch-1.0 File 38.15 KB 0755
gst-play-1.0 File 50.23 KB 0755
gst-typefind-1.0 File 18.15 KB 0755
gstreamer-codec-install File 22.15 KB 0755
gtbl File 138.51 KB 0755
gtf File 18.31 KB 0755
gtk-builder-tool File 34.73 KB 0755
gtk-encode-symbolic-svg File 18.41 KB 0755
gtk-launch File 18.46 KB 0755
gtk-query-settings File 14.3 KB 0755
gtk-update-icon-cache File 38.63 KB 0755
gunzip File 2.29 KB 0755
gvfs-cat File 273 B 0755
gvfs-copy File 275 B 0755
gvfs-info File 275 B 0755
gvfs-less File 884 B 0755
gvfs-ls File 275 B 0755
gvfs-mime File 275 B 0755
gvfs-mkdir File 277 B 0755
gvfs-monitor-dir File 281 B 0755
gvfs-monitor-file File 281 B 0755
gvfs-mount File 277 B 0755
gvfs-move File 275 B 0755
gvfs-open File 275 B 0755
gvfs-rename File 279 B 0755
gvfs-rm File 279 B 0755
gvfs-save File 275 B 0755
gvfs-set-attribute File 273 B 0755
gvfs-trash File 277 B 0755
gvfs-tree File 275 B 0755
gzexe File 6.3 KB 0755
gzip File 95.21 KB 0755
h2ph File 28.54 KB 0755
h2xs File 59.44 KB 0755
hbpldecode File 26.31 KB 0755
hciattach File 138.15 KB 0755
hciconfig File 196.18 KB 0755
hcitool File 147.71 KB 0755
hd File 34.25 KB 0755
head File 46.37 KB 0755
helpztags File 2.46 KB 0755
hex2hcd File 18.23 KB 0755
hexdump File 34.25 KB 0755
hipercdecode File 18.31 KB 0755
host File 118.78 KB 0755
hostid File 38.34 KB 0755
hostname File 26.23 KB 0755
hostnamectl File 26.22 KB 0755
hp-align File 9.14 KB 0755
hp-check File 39.17 KB 0755
hp-clean File 7.05 KB 0755
hp-colorcal File 9.08 KB 0755
hp-config_usb_printer File 6.98 KB 0755
hp-doctor File 12.69 KB 0755
hp-firmware File 6.47 KB 0755
hp-info File 6.26 KB 0755
hp-levels File 6.85 KB 0755
hp-logcapture File 12.15 KB 0755
hp-makeuri File 5.6 KB 0755
hp-pkservice File 3.13 KB 0755
hp-plugin File 13.62 KB 0755
hp-plugin-ubuntu File 719 B 0755
hp-probe File 7.98 KB 0755
hp-query File 4.94 KB 0755
hp-scan File 86.87 KB 0755
hp-setup File 37.25 KB 0755
hp-testpage File 5.98 KB 0755
hp-timedate File 3.31 KB 0755
htcacheclean File 38.16 KB 0755
htdbm File 26.15 KB 0755
htdigest File 14.15 KB 0755
htpasswd File 26.15 KB 0755
hwe-support-status File 10.58 KB 0755
i386 File 26.5 KB 0755
i686-linux-gnu-pkg-config File 2.18 KB 0755
ibd2sdi File 6.48 MB 0755
ibus File 42.37 KB 0755
ibus-daemon File 194.42 KB 0755
ibus-setup File 1.15 KB 0755
ibus-table-createdb File 1.11 KB 0755
iceauth File 38.12 KB 0755
ico File 50.44 KB 0755
iconv File 66.41 KB 0755
id File 46.37 KB 0755
iecset File 26.38 KB 0755
ijs_pxljr File 30.38 KB 0755
im-config File 10.75 KB 0755
im-launch File 1.88 KB 0755
info File 309.74 KB 0755
infobrowser File 309.74 KB 0755
infocmp File 62.38 KB 0755
infotocap File 90.41 KB 0755
innochecksum File 6.37 MB 0755
inputattach File 33.68 KB 0755
install File 154.41 KB 0755
install-info File 115.24 KB 0755
install-printerdriver File 95 B 0755
instmodsh File 4.27 KB 0755
intel-virtual-output File 70.31 KB 0755
ionice File 30.23 KB 0755
ip File 597.62 KB 0755
ipcmk File 34.3 KB 0755
ipcrm File 34.23 KB 0755
ipcs File 66.23 KB 0755
ipod-read-sysinfo-extended File 22.15 KB 0755
ipod-time-sync File 14.15 KB 0755
ippfind File 42.4 KB 0755
ipptool File 82.3 KB 0755
iptables-xml File 96.97 KB 0755
ischroot File 14.2 KB 0755
isdv4-serial-debugger File 18.17 KB 0755
isdv4-serial-inputattach File 30.17 KB 0755
isodump File 183.27 KB 0755
isoinfo File 342.52 KB 0755
isovfy File 183.27 KB 0755
ispell-wrapper File 7.05 KB 0755
join File 54.37 KB 0755
journalctl File 78.24 KB 0755
jpgicc File 34.17 KB 0755
json_pp File 4.56 KB 0755
kbd_mode File 14.07 KB 0755
kbdinfo File 14.07 KB 0755
kbxutil File 174.97 KB 0755
kernel-install File 5.07 KB 0755
kerneloops-submit File 9.99 KB 0755
keyring File 385 B 0755
kill File 30.23 KB 0755
killall File 31.27 KB 0755
kmod File 170.34 KB 0755
kmodsign File 22.29 KB 0755
l2ping File 100.01 KB 0755
l2test File 112.26 KB 0755
laptop-detect File 3.73 KB 0755
last File 50.23 KB 0755
lastb File 50.23 KB 0755
lastlog File 31.66 KB 0755
lavadecode File 22.31 KB 0755
lcf File 7.6 KB 0755
ldd File 5.3 KB 0755
less File 175.84 KB 0755
lessecho File 14.31 KB 0755
lessfile File 8.36 KB 0755
lesskey File 23.72 KB 0755
lesspipe File 8.36 KB 0755
letsencrypt File 385 B 0755
lexgrog File 98.95 KB 0755
libnetcfg File 15.41 KB 0755
libreoffice File 6.58 KB 0755
libwacom-list-local-devices File 14.26 KB 0755
link File 38.34 KB 0755
linkicc File 26.21 KB 0755
linux-boot-prober File 1.54 KB 0755
linux-check-removal File 3.99 KB 0755
linux-update-symlinks File 6.17 KB 0755
linux-version File 2.63 KB 0755
linux32 File 26.5 KB 0755
linux64 File 26.5 KB 0755
listres File 14.73 KB 0755
ln File 74.38 KB 0755
lnstat File 30.51 KB 0755
loadkeys File 210.57 KB 0755
loadunimap File 34.13 KB 0755
localc File 59 B 0755
locale File 57.56 KB 0755
locale-check File 14.16 KB 0755
localectl File 26.22 KB 0755
localedef File 326.96 KB 0755
lodraw File 59 B 0755
loffice File 53 B 0755
lofromtemplate File 64 B 0755
logger File 50.82 KB 0755
login File 55.77 KB 0755
loginctl File 58.34 KB 0755
logname File 38.34 KB 0755
logresolve File 14.16 KB 0755
loimpress File 62 B 0755
lomath File 59 B 0755
look File 14.38 KB 0755
lorder File 2.82 KB 0755
loweb File 58 B 0755
lowntfs-3g File 118.86 KB 0755
lowriter File 61 B 0755
lp File 22.3 KB 0755
lp_solve File 49.99 KB 0755
lpoptions File 22.38 KB 0755
lpq File 22.38 KB 0755
lpr File 18.3 KB 0755
lprm File 14.3 KB 0755
lpstat File 38.59 KB 0755
ls File 138.81 KB 0755
lsattr File 14.31 KB 0755
lsb_release File 3.55 KB 0755
lsblk File 130.23 KB 0755
lscpu File 98.23 KB 0755
lshw File 841.2 KB 0755
lsinitramfs File 706 B 0755
lsipc File 94.23 KB 0755
lslocks File 38.55 KB 0755
lslogins File 66.23 KB 0755
lsmem File 66.23 KB 0755
lsmod File 170.34 KB 0755
lsns File 50.23 KB 0755
lsof File 171.63 KB 0755
lspci File 91.95 KB 0755
lspgpot File 1.06 KB 0755
lsusb File 242.51 KB 0755
ltrace File 301.33 KB 0755
luit File 52.42 KB 0755
lwp-download File 10.05 KB 0755
lwp-dump File 2.65 KB 0755
lwp-mirror File 2.36 KB 0755
lwp-request File 15.82 KB 0755
lz File 2.48 KB 0755
lz4 File 186.23 KB 0755
lz4c File 186.23 KB 0755
lz4cat File 186.23 KB 0755
lzcat File 78.5 KB 0755
lzcmp File 6.48 KB 0755
lzdiff File 6.48 KB 0755
lzegrep File 5.76 KB 0755
lzfgrep File 5.76 KB 0755
lzgrep File 5.76 KB 0755
lzless File 1.76 KB 0755
lzma File 78.5 KB 0755
lzmainfo File 14.23 KB 0755
lzmore File 2.11 KB 0755
m2300w File 28.86 KB 0755
m2300w-wrapper File 14.24 KB 0755
m2400w File 32.86 KB 0755
mako-render File 383 B 0755
man File 116.83 KB 0755
man-recode File 26.9 KB 0755
mandb File 139.09 KB 0755
manpath File 38.7 KB 0755
mapscrn File 26.13 KB 0755
mattrib File 196.75 KB 0755
mawk File 158.74 KB 0755
mbadblocks File 196.75 KB 0755
mcat File 196.75 KB 0755
mcd File 196.75 KB 0755
mcheck File 1.64 KB 0755
mclasserase File 196.75 KB 0755
mcomp File 847 B 0755
mcookie File 34.3 KB 0755
mcopy File 196.75 KB 0755
md5sum File 46.37 KB 0755
md5sum.textutils File 46.37 KB 0755
mdel File 196.75 KB 0755
mdeltree File 196.75 KB 0755
mdig File 50.4 KB 0755
mdir File 196.75 KB 0755
mdu File 196.75 KB 0755
mesa-overlay-control.py File 5.67 KB 0755
mesg File 14.23 KB 0755
mformat File 196.75 KB 0755
migrate-pubring-from-classic-gpg File 2.99 KB 0755
mimeopen File 8.42 KB 0755
mimetype File 11.78 KB 0755
min12xxw File 27.3 KB 0755
minfo File 196.75 KB 0755
mk_modmap File 15.78 KB 0755
mkdir File 86.34 KB 0755
mkfifo File 66.34 KB 0755
mkfontdir File 65 B 0755
mkfontscale File 38.52 KB 0755
mkisofs File 641.9 KB 0755
mkmanifest File 14.4 KB 0755
mknod File 70.34 KB 0755
mksquashfs File 205.96 KB 0755
mktemp File 46.34 KB 0755
mkzftree File 30.29 KB 0755
mlabel File 196.75 KB 0755
mmcli File 257.27 KB 0755
mmd File 196.75 KB 0755
mmount File 196.75 KB 0755
mmove File 196.75 KB 0755
monitor-sensor File 14.15 KB 0755
more File 42.15 KB 0755
mount File 54.23 KB 4755
mountpoint File 14.23 KB 0755
mousetweaks File 70.23 KB 0755
mpartition File 196.75 KB 0755
mrd File 196.75 KB 0755
mren File 196.75 KB 0755
mscompress File 14.31 KB 0755
msexpand File 14.31 KB 0755
mshortname File 196.75 KB 0755
mshowfat File 196.75 KB 0755
mt File 86.78 KB 0755
mt-gnu File 86.78 KB 0755
mtools File 196.75 KB 0755
mtoolstest File 196.75 KB 0755
mtr File 80.25 KB 0755
mtr-packet File 38.38 KB 0755
mtype File 196.75 KB 0755
mutter File 196.32 KB 0755
mv File 146.38 KB 0755
mxtar File 784 B 0755
my_print_defaults File 6.29 MB 0755
myisam_ftdump File 6.58 MB 0755
myisamchk File 6.69 MB 0755
myisamlog File 6.53 MB 0755
myisampack File 6.6 MB 0755
mysql File 7.33 MB 0755
mysql_config_editor File 6.31 MB 0755
mysql_migrate_keyring File 7.24 MB 0755
mysql_secure_installation File 7.16 MB 0755
mysql_ssl_rsa_setup File 6.33 MB 0755
mysql_tzinfo_to_sql File 6.23 MB 0755
mysql_upgrade File 7.26 MB 0755
mysqladmin File 7.17 MB 0755
mysqlanalyze File 7.18 MB 0755
mysqlbinlog File 7.62 MB 0755
mysqlcheck File 7.18 MB 0755
mysqld_multi File 26.73 KB 0755
mysqld_safe File 28.45 KB 0755
mysqldump File 7.25 MB 0755
mysqldumpslow File 7.54 KB 0755
mysqlimport File 7.17 MB 0755
mysqloptimize File 7.18 MB 0755
mysqlpump File 7.6 MB 0755
mysqlrepair File 7.18 MB 0755
mysqlreport File 38.1 KB 0755
mysqlshow File 7.17 MB 0755
mysqlslap File 7.18 MB 0755
mzip File 196.75 KB 0755
namei File 34.23 KB 0755
nano File 312.63 KB 0755
nautilus File 1.69 MB 0755
nautilus-autorun-software File 26.3 KB 0755
nautilus-sendto File 22.23 KB 0755
nawk File 158.74 KB 0755
nc File 42.64 KB 0755
nc.openbsd File 42.64 KB 0755
ncal File 36.95 KB 0755
neqn File 913 B 0755
netcat File 42.64 KB 0755
netkit-ftp File 106.7 KB 0755
netstat File 154.58 KB 0755
networkctl File 74.23 KB 0755
networkd-dispatcher File 19.71 KB 0755
newgrp File 43.73 KB 4755
ngettext File 42.23 KB 0755
nice File 42.34 KB 0755
nisdomainname File 26.23 KB 0755
nl File 42.43 KB 0755
nm-applet File 335.95 KB 0755
nm-connection-editor File 1002.99 KB 0755
nm-online File 22.3 KB 0755
nmcli File 839.34 KB 0755
nmtui File 667.38 KB 0755
nmtui-connect File 667.38 KB 0755
nmtui-edit File 667.38 KB 0755
nmtui-hostname File 667.38 KB 0755
nohup File 42.34 KB 0755
notify-send File 18.23 KB 0755
nproc File 42.34 KB 0755
nroff File 3.22 KB 0755
nsenter File 34.43 KB 0755
nslookup File 122.81 KB 0755
nstat File 78.23 KB 0755
nsupdate File 78.63 KB 0755
ntfs-3g File 158.89 KB 0755
ntfs-3g.probe File 14.23 KB 0755
ntfscat File 34.26 KB 0755
ntfscluster File 38.26 KB 0755
ntfscmp File 38.26 KB 0755
ntfsdecrypt File 50.27 KB 0755
ntfsfallocate File 38.27 KB 0755
ntfsfix File 46.27 KB 0755
ntfsinfo File 58.27 KB 0755
ntfsls File 35.34 KB 0755
ntfsmove File 38.26 KB 0755
ntfsrecover File 118.26 KB 0755
ntfssecaudit File 94.75 KB 0755
ntfstruncate File 42.19 KB 0755
ntfsusermap File 38.18 KB 0755
ntfswipe File 54.79 KB 0755
numfmt File 66.4 KB 0755
nvidia-detector File 270 B 0755
oakdecode File 18.33 KB 0755
obexctl File 166.3 KB 0755
oclock File 27.72 KB 0755
od File 70.37 KB 0755
oem-getlogs File 8.37 KB 0755
on_ac_power File 2.18 KB 0755
openssl File 735.68 KB 0755
openvt File 22.43 KB 0755
opldecode File 18.31 KB 0755
orca File 8.52 KB 0755
orca-dm-wrapper File 70 B 0755
os-prober File 4.44 KB 0755
p11-kit File 34.39 KB 0755
pa-info File 1.99 KB 0755
pacat File 50.41 KB 0755
pacmd File 18.38 KB 0755
pactl File 66.4 KB 0755
padsp File 2.21 KB 0755
pager File 175.84 KB 0755
pamon File 50.41 KB 0755
paperconf File 13.99 KB 0755
paplay File 50.41 KB 0755
parec File 50.41 KB 0755
parecord File 50.41 KB 0755
partx File 118.23 KB 0755
passwd File 66.61 KB 4755
paste File 42.37 KB 0755
pasteurize File 388 B 0755
pasuspender File 22.39 KB 0755
patch File 190.52 KB 0755
pathchk File 38.34 KB 0755
pax11publish File 14.3 KB 0755
pbr File 152 B 0755
pdb3 File 61.27 KB 0755
pdb3.8 File 61.27 KB 0755
pdf2dsc File 698 B 0755
pdf2ps File 909 B 0755
pdfattach File 22.44 KB 0755
pdfdetach File 22.91 KB 0755
pdffonts File 22.34 KB 0755
pdfimages File 58.34 KB 0755
pdfinfo File 58.34 KB 0755
pdfseparate File 22.23 KB 0755
pdfsig File 26.23 KB 0755
pdftocairo File 162.26 KB 0755
pdftohtml File 122.25 KB 0755
pdftoppm File 34.26 KB 0755
pdftops File 30.35 KB 0755
pdftotext File 46.35 KB 0755
pdfunite File 30.23 KB 0755
peekfd File 14.15 KB 0755
perl File 3.32 MB 0755
perl5.30-x86_64-linux-gnu File 14.3 KB 0755
perl5.30.0 File 3.32 MB 0755
perlbug File 45.28 KB 0755
perldoc File 125 B 0755
perli11ndoc File 56.56 KB 0755
perlivp File 10.61 KB 0755
perlthanks File 45.28 KB 0755
perror File 7.62 MB 0755
pf2afm File 498 B 0755
pfbtopfa File 516 B 0755
pftp File 106.7 KB 0755
pgrep File 30.24 KB 0755
phar File 14.54 KB 0755
phar.phar File 14.54 KB 0755
phar.phar7.4 File 14.54 KB 0755
phar7.4 File 14.54 KB 0755
php File 4.56 MB 0755
php7.4 File 4.56 MB 0755
pic File 216.34 KB 0755
pico File 312.63 KB 0755
piconv File 8.16 KB 0755
pidof File 26.38 KB 0755
pinentry File 78.64 KB 0755
pinentry-curses File 66.64 KB 0755
pinentry-gnome3 File 78.64 KB 0755
pinentry-x11 File 78.64 KB 0755
ping File 71.07 KB 0755
ping4 File 71.07 KB 0755
ping6 File 71.07 KB 0755
pinky File 42.37 KB 0755
pkaction File 18.3 KB 0755
pkcheck File 22.38 KB 0755
pkcon File 74.3 KB 0755
pkexec File 30.3 KB 4755
pkg-config File 54.25 KB 0755
pkill File 30.24 KB 0755
pkmon File 22.3 KB 0755
pkttyagent File 18.3 KB 0755
pl2pm File 4.43 KB 0755
pldd File 22.37 KB 0755
plog File 146 B 0755
plymouth File 50.15 KB 0755
pmap File 34.24 KB 0755
pnm2ppa File 1.58 MB 0755
pod2html File 4.04 KB 0755
pod2man File 14.68 KB 0755
pod2text File 10.55 KB 0755
pod2usage File 3.86 KB 0755
podchecker File 3.57 KB 0755
podselect File 2.47 KB 0755
poff File 2.77 KB 0755
pon File 1.33 KB 0755
ppdc File 114.53 KB 0755
ppdhtml File 110.53 KB 0755
ppdi File 114.53 KB 0755
ppdmerge File 18.38 KB 0755
ppdpo File 110.53 KB 0755
pphs File 404 B 0755
pr File 74.43 KB 0755
precat File 5.52 KB 0755
preconv File 66.51 KB 0755
preunzip File 5.52 KB 0755
prezip File 5.52 KB 0755
prezip-bin File 14.3 KB 0755
print File 18.05 KB 0755
printafm File 395 B 0755
printenv File 38.34 KB 0755
printer-profile File 5.51 KB 0755
printerbanner File 22.15 KB 0755
printf File 58.34 KB 0755
prlimit File 38.74 KB 0755
pro File 442 B 0755
prove File 13.33 KB 0755
prtstat File 22.23 KB 0755
ps File 134.46 KB 0755
ps2ascii File 631 B 0755
ps2epsi File 2.69 KB 0755
ps2pdf File 272 B 0755
ps2pdf12 File 215 B 0755
ps2pdf13 File 215 B 0755
ps2pdf14 File 215 B 0755
ps2pdfwr File 1.05 KB 0755
ps2ps File 647 B 0755
ps2ps2 File 669 B 0755
ps2txt File 631 B 0755
psfaddtable File 21.99 KB 0755
psfgettable File 21.99 KB 0755
psfstriptable File 21.99 KB 0755
psfxtable File 21.99 KB 0755
psicc File 26.16 KB 0755
pslog File 14.15 KB 0755
pstree File 35.16 KB 0755
pstree.x11 File 35.16 KB 0755
ptar File 3.47 KB 0755
ptardiff File 2.57 KB 0755
ptargrep File 4.29 KB 0755
ptx File 78.4 KB 0755
pulseaudio File 98.47 KB 0755
pwd File 42.34 KB 0755
pwdx File 14.23 KB 0755
py3clean File 7.63 KB 0755
py3compile File 11.84 KB 0755
py3versions File 11.44 KB 0755
pydoc3 File 79 B 0755
pydoc3.8 File 79 B 0755
pygettext3 File 21.03 KB 0755
pygettext3.8 File 21.03 KB 0755
pyjwt3 File 372 B 0755
python3 File 5.24 MB 0755
python3-futurize File 384 B 0755
python3-pasteurize File 388 B 0755
python3-pbr File 152 B 0755
python3.8 File 5.24 MB 0755
qpdldecode File 22.6 KB 0755
quirks-handler File 2.4 KB 0755
rbash File 1.13 MB 0755
rcp File 114.3 KB 0755
rctest File 145.6 KB 0755
rdiffdir File 8.9 KB 0755
rdma File 130.23 KB 0755
readlink File 50.34 KB 0755
realpath File 50.37 KB 0755
red File 89 B 0755
remmina File 867.6 KB 0755
remmina-file-wrapper File 1.29 KB 0755
rename.ul File 22.23 KB 0755
rendercheck File 59.95 KB 0755
renice File 14.23 KB 0755
reset File 30.31 KB 0755
resizecons File 22.13 KB 0755
resizepart File 62.23 KB 0755
resolvectl File 126.38 KB 0755
rev File 14.23 KB 0755
rfcomm File 108.68 KB 0755
rgrep File 30 B 0755
rhythmbox File 14.3 KB 0755
rhythmbox-client File 52.22 KB 0755
rlogin File 774.95 KB 0755
rm File 70.37 KB 0755
rmdir File 46.34 KB 0755
rnano File 312.63 KB 0755
rotatelogs File 26.23 KB 0755
routef File 208 B 0755
routel File 1.62 KB 0755
rrsync File 7.07 KB 0755
rsh File 774.95 KB 0755
rstart File 2.55 KB 0755
rstartd File 1.43 KB 0755
rsync File 500.84 KB 0755
rtstat File 30.51 KB 0755
run-mailcap File 18.05 KB 0755
run-parts File 26.51 KB 0755
run-with-aspell File 57 B 0755
runcon File 38.34 KB 0755
rview File 2.78 MB 0755
rvim File 2.78 MB 0755
rygel File 50.38 KB 0755
sane-find-scanner File 134.85 KB 0755
savelog File 10.24 KB 0755
sbattach File 58.48 KB 0755
sbkeysync File 66.7 KB 0755
sbsiglist File 58.55 KB 0755
sbsign File 58.55 KB 0755
sbvarsign File 66.61 KB 0755
sbverify File 62.48 KB 0755
scanimage File 54.96 KB 0755
scp File 114.3 KB 0755
scp-dbus-service File 90 B 0755
screendump File 13.99 KB 0755
script File 54.23 KB 0755
scriptreplay File 30.23 KB 0755
sdiff File 50.09 KB 0755
sdptool File 209.09 KB 0755
seahorse File 1.15 MB 0755
sed File 118.45 KB 0755
see File 18.05 KB 0755
select-default-iwrap File 474 B 0755
select-editor File 2.38 KB 0755
sensible-browser File 1.2 KB 0755
sensible-editor File 1.14 KB 0755
sensible-pager File 452 B 0755
seq File 50.34 KB 0755
session-migration File 22.15 KB 0755
sessreg File 13.99 KB 0755
setarch File 26.5 KB 0755
setfacl File 38.84 KB 0755
setfont File 46.13 KB 0755
setkeycodes File 14.07 KB 0755
setleds File 14.05 KB 0755
setlogcons File 14.07 KB 0755
setmetamode File 14.1 KB 0755
setpci File 30.23 KB 0755
setpriv File 46.23 KB 0755
setsid File 14.23 KB 0755
setterm File 46.23 KB 0755
setupcon File 38.31 KB 0755
setxkbmap File 30.7 KB 0755
sftp File 166.51 KB 0755
sg File 43.73 KB 4755
sh File 126.77 KB 0755
sha1sum File 50.37 KB 0755
sha224sum File 58.37 KB 0755
sha256sum File 58.37 KB 0755
sha384sum File 66.37 KB 0755
sha512sum File 66.37 KB 0755
shasum File 9.74 KB 0755
shotwell File 4.71 MB 0755
showconsolefont File 18.07 KB 0755
showkey File 18.07 KB 0755
showrgb File 9.99 KB 0755
shred File 62.37 KB 0755
shuf File 58.34 KB 0755
simple-scan File 402.36 KB 0755
skill File 30.23 KB 0755
slabtop File 22.23 KB 0755
sleep File 38.34 KB 0755
slogin File 774.95 KB 0755
slxdecode File 18.31 KB 0755
smproxy File 26.31 KB 0755
snap File 16.3 MB 0755
snapctl File 6.26 MB 0755
snapfuse File 46.29 KB 0755
snice File 30.23 KB 0755
soelim File 46.51 KB 0755
soffice File 6.58 KB 0755
software-properties-gtk File 4.08 KB 0755
sort File 114.63 KB 0755
spd-conf File 1003 B 0755
spd-say File 30.91 KB 0755
speaker-test File 30.43 KB 0755
speech-dispatcher File 162.24 KB 0755
spice-vdagent File 78.77 KB 0755
splain File 18.7 KB 0755
split File 58.77 KB 0755
splitfont File 13.99 KB 0755
ss File 164.84 KB 0755
ssh File 774.95 KB 0755
ssh-add File 362.28 KB 0755
ssh-agent File 342.29 KB 2755
ssh-argv0 File 1.42 KB 0755
ssh-copy-id File 10.41 KB 0755
ssh-import-id File 409 B 0755
ssh-import-id-gh File 785 B 0755
ssh-import-id-lp File 785 B 0755
ssh-keygen File 466.3 KB 0755
ssh-keyscan File 454.3 KB 0755
start-pulseaudio-x11 File 1.65 KB 0755
startx File 5.39 KB 0755
stat File 86.37 KB 0755
static-sh File 2.07 MB 0755
stdbuf File 50.34 KB 0755
strace File 1.51 MB 0755
strace-log-merge File 1.78 KB 0755
stty File 82.37 KB 0755
su File 66.23 KB 4755
sudo File 162.16 KB 4755
sudoedit File 162.16 KB 4755
sudoreplay File 63 KB 0755
sum File 46.34 KB 0755
symcryptrun File 123.03 KB 0755
sync File 38.34 KB 0755
syslinux File 207.34 KB 0755
syslinux-legacy File 28.84 KB 0755
system-config-printer File 95 B 0755
system-config-printer-applet File 80 B 0755
systemctl File 973.23 KB 0755
systemd File 1.55 MB 0755
systemd-analyze File 1.51 MB 0755
systemd-ask-password File 14.34 KB 0755
systemd-cat File 18.23 KB 0755
systemd-cgls File 22.33 KB 0755
systemd-cgtop File 38.24 KB 0755
systemd-delta File 26.22 KB 0755
systemd-detect-virt File 18.22 KB 0755
systemd-escape File 22.22 KB 0755
systemd-hwdb File 106.52 KB 0755
systemd-id128 File 22.22 KB 0755
systemd-inhibit File 22.24 KB 0755
systemd-machine-id-setup File 26.32 KB 0755
systemd-mount File 50.45 KB 0755
systemd-notify File 18.23 KB 0755
systemd-path File 18.22 KB 0755
systemd-resolve File 126.38 KB 0755
systemd-run File 58.42 KB 0755
systemd-socket-activate File 26.22 KB 0755
systemd-stdio-bridge File 22.23 KB 0755
systemd-sysusers File 54.52 KB 0755
systemd-tmpfiles File 86.41 KB 0755
systemd-tty-ask-password-agent File 30.22 KB 0755
systemd-umount File 50.45 KB 0755
tabs File 18.3 KB 0755
tac File 42.34 KB 0755
tail File 70.4 KB 0755
tar File 437.61 KB 0755
taskset File 34.23 KB 0755
tbl File 138.51 KB 0755
tee File 42.37 KB 0755
telnet File 112.67 KB 0755
telnet.netkit File 112.67 KB 0755
tempfile File 14.02 KB 0755
test File 54.34 KB 0755
tgz File 2.24 KB 0755
thunderbird File 3.12 KB 0755
tic File 90.41 KB 0755
tificc File 34.23 KB 0755
time File 14.38 KB 0755
timedatectl File 46.22 KB 0755
timeout File 42.77 KB 0755
tload File 22.24 KB 0755
toe File 22.3 KB 0755
top File 126.05 KB 0755
totem File 22.38 KB 0755
totem-video-thumbnailer File 34.4 KB 0755
touch File 98.37 KB 0755
tput File 26.34 KB 0755
tr File 50.34 KB 0755
tracepath File 18.15 KB 0755
traceroute6 File 26.15 KB 0755
traceroute6.iputils File 26.15 KB 0755
tracker File 195.52 KB 0755
transicc File 38.16 KB 0755
transmission-gtk File 837.91 KB 0755
transset File 22.79 KB 0755
troff File 735.91 KB 0755
true File 38.34 KB 0755
truncate File 42.34 KB 0755
trust File 218.67 KB 0755
tset File 30.31 KB 0755
tsort File 42.34 KB 0755
ttfread File 14.3 KB 0755
tty File 38.34 KB 0755
tzselect File 15.02 KB 0755
ua File 442 B 0755
ubuntu-advantage File 442 B 0755
ubuntu-bug File 2.5 KB 0755
ubuntu-core-launcher File 151.45 KB 4755
ubuntu-distro-info File 22.89 KB 0755
ubuntu-drivers File 16.07 KB 0755
ubuntu-report File 7.39 MB 0755
ubuntu-security-status File 22.25 KB 0755
ucf File 39.73 KB 0755
ucfq File 18.91 KB 0755
ucfr File 10.47 KB 0755
ucs2any File 21.99 KB 0755
udevadm File 931.2 KB 0755
udisksctl File 58.38 KB 0755
ul File 18.16 KB 0755
ulockmgr_server File 18.15 KB 0755
umax_pp File 183.23 KB 0755
umount File 38.23 KB 4755
uname File 38.37 KB 0755
unattended-upgrade File 96.99 KB 0755
unattended-upgrades File 96.99 KB 0755
uncompress File 2.29 KB 0755
unexpand File 42.37 KB 0755
unicode_start File 2.7 KB 0755
unicode_stop File 530 B 0755
uniq File 50.37 KB 0755
unity-scope-loader File 14.23 KB 0755
unlink File 38.34 KB 0755
unlz4 File 186.23 KB 0755
unlzma File 78.5 KB 0755
unmkinitramfs File 3.59 KB 0755
unopkg File 52 B 0755
unshare File 42.43 KB 0755
unsquashfs File 112.12 KB 0755
unxz File 78.5 KB 0755
unzip File 182.29 KB 0755
unzipsfx File 82.27 KB 0755
update-alternatives File 54.41 KB 0755
update-desktop-database File 26.23 KB 0755
update-manager File 4.48 KB 0755
update-mime-database File 58.37 KB 0755
update-notifier File 78.98 KB 0755
upgmodectl File 406 B 0550
upower File 22.15 KB 0755
uptime File 14.23 KB 0755
usb-creator-gtk File 2.87 KB 0755
usb-devices File 4 KB 0755
usb_printerid File 14.31 KB 0755
usbhid-dump File 30.38 KB 0755
usbreset File 14.3 KB 0755
users File 38.34 KB 0755
utmpdump File 30.23 KB 0755
uuidgen File 14.23 KB 0755
uuidparse File 38.23 KB 0755
uz File 2.48 KB 0755
vdir File 138.81 KB 0755
vi File 2.78 MB 0755
view File 2.78 MB 0755
viewres File 31.27 KB 0755
vim File 2.78 MB 0755
vim.basic File 2.78 MB 0755
vim.tiny File 1.29 MB 0755
vimdiff File 2.78 MB 0755
vimtutor File 2.07 KB 0755
vm-agent File 1.89 MB 0550
vmstat File 38.25 KB 0755
vmwarectrl File 14.43 KB 0755
volname File 14.15 KB 0755
vstp File 26.16 KB 0755
w File 22.23 KB 0755
w.procps File 22.23 KB 0755
wall File 34.23 KB 0755
watch File 26.57 KB 0755
watchgnupg File 18.3 KB 0755
wc File 46.34 KB 0755
wdctl File 34.23 KB 0755
webmin File 14.57 KB 0755
wget File 531.71 KB 0755
whatis File 55.21 KB 0755
whereis File 34.66 KB 0755
which File 946 B 0755
whiptail File 34.16 KB 0755
who File 58.37 KB 0755
whoami File 38.34 KB 0755
whoopsie File 66.98 KB 0755
whoopsie-preferences File 26.15 KB 0755
word-list-compress File 14.3 KB 0755
wpa_passphrase File 82.32 KB 0755
write File 14.15 KB 2755
x-session-manager File 806 B 0755
x-terminal-emulator File 2.36 KB 0755
x-window-manager File 196.32 KB 0755
x-www-browser File 2.6 KB 0755
x11perf File 197.46 KB 0755
x11perfcomp File 2.74 KB 0755
x86_64 File 26.5 KB 0755
x86_64-linux-gnu-cpp File 1.1 MB 0755
x86_64-linux-gnu-cpp-9 File 1.1 MB 0755
x86_64-linux-gnu-pkg-config File 2.18 KB 0755
x86_64-pc-linux-gnu-pkg-config File 54.25 KB 0755
xargs File 74.37 KB 0755
xauth File 54.97 KB 0755
xbiff File 24.19 KB 0755
xbrlapi File 162.48 KB 0755
xcalc File 47.48 KB 0755
xclipboard File 26.66 KB 0755
xclock File 65.14 KB 0755
xcmsdb File 30.74 KB 0755
xconsole File 27.28 KB 0755
xcursorgen File 22.3 KB 0755
xcutsel File 22.64 KB 0755
xdg-dbus-proxy File 50.15 KB 0755
xdg-desktop-icon File 20.15 KB 0755
xdg-desktop-menu File 42.26 KB 0755
xdg-email File 26.3 KB 0755
xdg-icon-resource File 29.32 KB 0755
xdg-mime File 41.13 KB 0755
xdg-open File 25.02 KB 0755
xdg-screensaver File 37.07 KB 0755
xdg-settings File 37.49 KB 0755
xdg-user-dir File 234 B 0755
xdg-user-dirs-gtk-update File 22.07 KB 0755
xdg-user-dirs-update File 26.07 KB 0755
xditview File 108.14 KB 0755
xdpyinfo File 43.07 KB 0755
xdriinfo File 14.3 KB 0755
xedit File 673.35 KB 0755
xev File 34.66 KB 0755
xeyes File 31.8 KB 0755
xfd File 40.06 KB 0755
xfontsel File 47.91 KB 0755
xgamma File 9.99 KB 0755
xgc File 78.42 KB 0755
xhost File 13.99 KB 0755
xinit File 22.33 KB 0755
xinput File 62.83 KB 0755
xkbbell File 14.32 KB 0755
xkbcomp File 212.09 KB 0755
xkbevd File 42.39 KB 0755
xkbprint File 94.34 KB 0755
xkbvleds File 23.09 KB 0755
xkbwatch File 23.18 KB 0755
xkeystone File 16.58 KB 0755
xkill File 14.3 KB 0755
xload File 27 KB 0755
xlogo File 27.27 KB 0755
xlsatoms File 14.3 KB 0755
xlsclients File 18.31 KB 0755
xlsfonts File 26.4 KB 0755
xmag File 48.42 KB 0755
xman File 81.2 KB 0755
xmessage File 27.19 KB 0755
xmodmap File 34.34 KB 0755
xmore File 18.58 KB 0755
xprop File 48.6 KB 0755
xqxdecode File 18.31 KB 0755
xrandr File 62.09 KB 0755
xrdb File 30.09 KB 0755
xrefresh File 10.07 KB 0755
xset File 29.99 KB 0755
xsetmode File 9.99 KB 0755
xsetpointer File 9.99 KB 0755
xsetroot File 18 KB 0755
xsetwacom File 63.7 KB 0755
xsm File 102.77 KB 0755
xstdcmap File 14.57 KB 0755
xsubpp File 5.04 KB 0755
xvidtune File 39.41 KB 0755
xvinfo File 18.3 KB 0755
xwd File 38.31 KB 0755
xwininfo File 50.38 KB 0755
xwud File 34.3 KB 0755
xxd File 18.27 KB 0755
xz File 78.5 KB 0755
xzcat File 78.5 KB 0755
xzcmp File 6.48 KB 0755
xzdiff File 6.48 KB 0755
xzegrep File 5.76 KB 0755
xzfgrep File 5.76 KB 0755
xzgrep File 5.76 KB 0755
xzless File 1.76 KB 0755
xzmore File 2.11 KB 0755
yelp File 62.23 KB 0755
yes File 38.34 KB 0755
ypdomainname File 26.23 KB 0755
zcat File 1.94 KB 0755
zcmp File 1.64 KB 0755
zdiff File 5.76 KB 0755
zdump File 26.21 KB 0755
zegrep File 29 B 0755
zenity File 132.77 KB 0755
zfgrep File 29 B 0755
zforce File 2.03 KB 0755
zgrep File 7.91 KB 0755
zip File 211.19 KB 0755
zipcloak File 91.62 KB 0755
zipdetails File 49.53 KB 0755
zipgrep File 2.88 KB 0755
zipinfo File 182.29 KB 0755
zipnote File 87.39 KB 0755
zipsplit File 91.39 KB 0755
zjsdecode File 26.32 KB 0755
zless File 2.15 KB 0755
zmore File 1.8 KB 0755
znew File 4.47 KB 0755